Skip to content

Index content for federated search ​

Federated Search

Endpoint to add or update content that will be available for search. Any data passed to this endpoint will be either added (if the url doesn't already exist), updated (if the url is already present). A maximum of 1000 records per batch is allowed, with a total maximum of 25000 records by default (configurable per community). Maximum size of the payload per request is 5M. The source value will be set to 'federated' when not specified.

POST
/external-content/index

Request Body​

application/json
JSON
{
  
"batch": [
  
  
{
  
  
  
"title": "string",
  
  
  
"content": "string",
  
  
  
"url": "string",
  
  
  
"source": "string",
  
  
  
"tags": [
  
  
  
  
"string"
  
  
  
]
  
  
}
  
]
}

Responses​

Success response is empty

Samples​

Gainsight CC Developer Portal